Bug 1379698 - Change rabbitmq queues HA mode from ha-all to ha-exactly
Summary: Change rabbitmq queues HA mode from ha-all to ha-exactly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Michele Baldessari
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks: 1384167
TreeView+ depends on / blocked
 
Reported: 2016-09-27 13:20 UTC by Marian Krcmarik
Modified: 2017-05-17 19:33 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:33:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 379584 None None None 2016-09-29 16:37:25 UTC
OpenStack gerrit 379586 None None None 2016-09-29 16:37:47 UTC
Launchpad 1628998 None None None 2016-09-29 16:29:54 UTC

Description Marian Krcmarik 2016-09-27 13:20:38 UTC
Description of problem:
It turns out that reducing number of rabbitmq queues in cluster significantly  improves performance of cluster especially in the case of failover recovery time. Right now cluster uses ha-all mode for rabbitmq queues, I suggest to change this to ha-exactly mode and reducing number of queue copies to ceil(N/2) where N is number of controllers in the cluster - so in typical scenario of 3 controller It would be 2.
It does not make much sense to keep the copies of queues over whole cluster since if the quorum of nodes is lost then the rest of cluster nodes will be stopped anyway.
This current setting:
pcs resource show rabbitmq
 Resource: rabbitmq (class=ocf provider=heartbeat type=rabbitmq-cluster)
  Attributes: set_policy="ha-all ^(?!amq\.).* {"ha-mode":"all"}"
And I am requesting to change the parameters of rabbitmq pacemaker resource to:
pcs resource show rabbitmq
 Resource: rabbitmq (class=ocf provider=heartbeat type=rabbitmq-cluster)
  Attributes: set_policy="ha-all ^(?!amq\.).* {"ha-mode":"exactly","ha-params":2}"
According to my tests, I achieved to reduce recovery time singificantly.

Comment 1 Michele Baldessari 2016-10-11 17:53:19 UTC
This has been merged in the upstream master branch (aka ocata)

Comment 3 Udi Shkalim 2017-04-05 13:37:32 UTC
Verified on: openstack-tripleo-heat-templates-6.0.0-0.9.el7ost.noarch
Automation run passed.

Comment 4 errata-xmlrpc 2017-05-17 19:33:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.